package de.fraunhofer.iem.dataprovider.gitlab

import de.fraunhofer.iem.dataprovider.logger.getLogger
import de.fraunhofer.iem.dataprovider.taskManager.RepoChangedEvent
import de.fraunhofer.iem.dataprovider.taskManager.TaskManager
import org.springframework.stereotype.Service



@Service
class GitlabService(private val openCodeGitlabConfiguration: OpenCodeGitlabConfiguration, private val taskManager: TaskManager) {

    private val logger = getLogger(javaClass)

    suspend fun queryOpenCodeProject(repoId: Long) {
//        taskManager.addTask(GetGitlabProjectIdTask(repoId = repoId, gitlabConfiguration = openCodeGitlabConfiguration, responseChannel = taskManager::addTask))
        taskManager.addEvent(RepoChangedEvent(repoId = repoId, gitConfiguration = openCodeGitlabConfiguration))
    }

    suspend fun queryOpenCodeProject(repoId: String) {
//        taskManager.addTask(GetGitlabProjectPathTask(repoId = repoId, gitlabConfiguration = openCodeGitlabConfiguration, responseChannel = taskManager::addTask))
//        taskManager.addEvent(RepoChanged(repoId = repoId, gitConfiguration = openCodeGitlabConfiguration,))
    }

}